Bug 621713 - Review Request: faenza-icon-theme - Icon theme designed for Equinox GTK theme
Review Request: faenza-icon-theme - Icon theme designed for Equinox GTK theme
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 18:04 EDT by Tajidin Abdullah
Modified: 2013-05-22 19:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 13:26:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tajidin Abdullah 2010-08-05 18:04:33 EDT
Spec URL: http://tajidinabd.fedorapeople.org/faenza-icon-theme/faenza-icon-theme.spec
SRPM URL: http://tajidinabd.fedorapeople.org/faenza-icon-theme/faenza-icon-theme-0.5.2-1.fc13.src.rpm
Description: Contains icons for Equinox GTK theme


This is my first package I will need a sponsor thank you
Comment 1 Mamoru TASAKA 2010-08-07 14:52:49 EDT
Some notes.

? Version number
  - Would you write how we can identify the version number
    of this zip file?

* License
  - In the zip file I see only GPLv3 "COPYING.txt" is included
    and no other information cannot be found in the zip
    which specifies the version of GPL this zip is licensed under.

    In this case we regard that this zip is licensed under "GPL+"
    (GPL at any version), see:
    https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

* BuildRoot
  - As I wrote in bug 620990, BuildRoot tag is no longer needed
    on Fedora (and EPEL6).

* scriptlets
  - For updating GTK icon, please follow:
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
    ("hicolor" must be replaced appropritely)
    ! Note
     - Not %postrun but %postun .

* Misc notes:
--------------------------------------------------------------
ln -sf ./distributor-logo-fedora.png distributor-logo.png
--------------------------------------------------------------
    - "./" is redundant and please remove this.

* rpmlint issues
--------------------------------------------------------------
faenza-icon-theme.noarch: E: script-without-shebang /usr/share/icons/Faenza-Dark/index.theme
faenza-icon-theme.noarch: E: script-without-shebang /usr/share/icons/Faenza/index.theme
--------------------------------------------------------------
  - These errors are because these files have unneeded executable permission.
    Please change the permission of these files to 0644.
Comment 2 Tajidin Abdullah 2010-08-07 18:34:11 EDT
Spec Url: http://tajidinabd.fedorapeople.org/faenza-icon-theme/faenza-icon-theme.spec

Srpm Url: http://tajidinabd.fedorapeople.org/faenza-icon-theme/faenza-icon-theme-0.5.2-2.fc13.src.rpm

make sure you reload the browser when you check the spec file sometimes its showing the old spec file

Successful build on Koji 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2387694



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Mamoru TASAKA 2010-08-08 12:16:13 EDT
For -2:
* Unused macro
  - You seem to have defined %tarname, however this macro is
    used nowhere in the spec file

* Version
  - Again, what file or so indicates that the version is actually
    0.5.2?

* Scriptlets:
  - Please also update Faenza-Dark/ directory
Comment 4 Mamoru TASAKA 2010-08-08 12:47:07 EDT
(Removing NEEDSPONSOR)
Comment 5 Tajidin Abdullah 2010-08-08 17:22:30 EDT
Spec Url: http://tajidinabd.fedorapeople.org/faenza-icon-theme/faenza-icon-theme.spec

Srpm Url: http://tajidinabd.fedorapeople.org/faenza-icon-theme/faenza-icon-theme-0.5-3.fc13.src.rpm

made corrections to reflect 0.5-3 
added scriplet 
made corrections to utilize tarname macro

successful koji scratch
http://koji.fedoraproject.org/koji/taskinfo?taskID=2388524
Comment 6 Mamoru TASAKA 2010-08-09 13:12:47 EDT
Well,

? Again I don't see how you identified the version number as 0.5.
  Would you write some notes in the spec file as comments what
  specifies the version number of the zip file?

? Also what is the purpose of defining %tarname macro and using
  it in "%setup -q -c" ? When "-c" option is passed to %setup, it
  creates a new directory before unpackaging source file (in this
  case zip file), and using additional "-n" option does not bear
  any difference
  (i.e. just "%setup -q -c" is enough).
Comment 7 Tajidin Abdullah 2010-08-09 14:49:54 EDT
I got the version number 0.5 from this URL http://gnome-look.org/content/show.php/Faenza?content=128143 that is in the spec file
 
if that is not the version please tell me what is then. No other information in regards to version number. 

Spec Url: http://tajidinabd.fedorapeople.org/faenza-icon-theme/faenza-icon-theme.spec

SRPM Url: http://tajidinabd.fedorapeople.org/faenza-icon-theme/faenza-icon-theme-0.5-4.fc13.src.rpm

Thank you.
Comment 8 Germán Racca 2010-08-09 23:27:25 EDT
Question:

I don't know why GPL+ if there is a file saying explicitly that the license is GPLv3+...who can explain me that?

Tarjidin:

You can contact upstream and ask him to put the version of each release in the name of the zip file, as for example: Faenza_Icons_by_tiheum_0.5.zip

Also you can change:

%dir %{_datadir}/icons/Faenza
%{_datadir}/icons/Faenza/*
%dir %{_datadir}/icons/Faenza-Dark
%{_datadir}/icons/Faenza-Dark/*

by

%{_datadir}/icons/Faenza/
%{_datadir}/icons/Faenza-Dark/

so in that way you own directories and also the contents. I think it is more compact :)

Regards,
Germán.
Comment 9 Mamoru TASAKA 2010-08-09 23:49:31 EDT
(In reply to comment #8)
> Question:
> 
> I don't know why GPL+ if there is a file saying explicitly that the license is
> GPLv3+...who can explain me that?
> 

(In reply to comment #1)
 
> * License
>   - In the zip file I see only GPLv3 "COPYING.txt" is included
>     and no other information cannot be found in the zip
>     which specifies the version of GPL this zip is licensed under.
> 
>     In this case we regard that this zip is licensed under "GPL+"
>     (GPL at any version), see:
>    
> https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F
Comment 10 Germán Racca 2010-08-09 23:58:18 EDT
(In reply to comment #9)
> https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F    

"The first thing to consider is that you cannot use COPYING to determine license versioning..."

You are right Mamoru, sorry :)

Regards,
Germán.
Comment 11 Tajidin Abdullah 2010-08-10 04:16:46 EDT
well waiting for response from upstream about renaming the source package so in holding pattern til then.
Comment 12 Mamoru TASAKA 2010-08-10 10:56:01 EDT
Okay.

One additional comment:
------------------------------------------------------
cp -R ./Faenza/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -R ./Faenza-Dark/ $RPM_BUILD_ROOT%{_datadir}/icons
------------------------------------------------------
  - Please change this to "cp -a" to keep timestamps on installed
    files:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

-----------------------------------------------------------
  This pacakge (faenza-icon-theme) is APPROVED by mtasaka
-----------------------------------------------------------
Comment 13 Tajidin Abdullah 2010-08-10 12:35:04 EDT
New Package SCM Request
=======================
Package Name: faenza-icon-theme
Short Description: icon theme for Equinox GTK theme
Owners: tajidinabd
Branches: f12 f13 f14
InitialCC:
Comment 14 Kevin Fenzi 2010-08-10 13:58:27 EDT
Git done (by process-git-requests).
Comment 15 Mamoru TASAKA 2010-08-13 13:26:22 EDT
Closing.
Comment 16 Felix Kaechele 2013-05-22 03:29:47 EDT
Package Change Request
======================
Package Name: faenza-icon-theme
New Branches: el6
Owners: heffer
InitialCC: 

Per request, as someone wants to package gtk-equinox-engine for el6 for which this package is a requirement.
Comment 17 Gwyn Ciesla 2013-05-22 10:55:57 EDT
Git done (by process-git-requests).
Comment 18 Germán Racca 2013-05-22 19:48:28 EDT
It seems to be a bug in the spec file, because the start-here icon is ubuntu icon. I think that start-here should be gnome for epel.

Note You need to log in before you can comment on or make changes to this bug.